#include <Time.h>
#include <TimeLib.h>

// constants won't change. They're used here to set pin numbers:
const int buttonPin = 4; // D2
const int dataPin1 = 0; // D3
const int dataPin2 = 16; // D0
const int ledPin =  2; // D4 - builtin led

// variables will change:
int buttonState = 0;         // variable for reading the pushbutton status

int pinState1 = 0;
int pinState2 = 0;

void setup() {
  Serial.begin(9600);

  // initialize the LED pin as an output:
  pinMode(ledPin, OUTPUT);
  // initialize the pushbutton pin as an input:
  pinMode(buttonPin, INPUT_PULLUP);
  pinMode(dataPin1, INPUT_PULLUP);
  pinMode(dataPin2, INPUT_PULLDOWN_16);
}

void LedOn()
{
    digitalWrite(ledPin, LOW);
}

void LedOff()
{
    digitalWrite(ledPin, HIGH);
}

char *getPinName(int pinNumber)
{
  switch (pinNumber)
  {
    case 0: return "D3";
    case 2: return "D4 - builtin LED";
    case 4: return "D2";
    case 5: return "D1";
    case 12: return "D6";
    case 13: return "D7";
    case 14: return "D5";
    case 15: return "D8";
    case 16: return "D0";
  }

  return "Unknown";
}

void writePinState(int pinNumber, int pinState)
{
  Serial.print("PIN ");
  Serial.print(getPinName(pinNumber));
  Serial.print(" == ");
  if (pinState == HIGH)
  {
    Serial.print("HIGH");
  }
  else
  {
    Serial.print("LOW");
  }

  Serial.println(".");
}

void loop() {
  // read the state of the pushbutton value:
  buttonState = digitalRead(buttonPin);

  pinState1 = digitalRead(dataPin1);
  pinState2 = digitalRead(dataPin2);
  
  time_t t = now();

  writePinState(dataPin1, pinState1);
  writePinState(dataPin2, pinState2);
  writePinState(buttonPin, buttonState);

  if (pinState2 == HIGH) {
    Serial.print(second(t));
    LedOn();
  } else {
    Serial.print(second(t));
    LedOff();
  }
  
  /*
  if (buttonState == HIGH) {
    Serial.print(second(t));
    LedOff();
  } else {
    Serial.print(second(t));
    LedOn();
  }
  */

  delay(1000);
}
