﻿using System;
using System.IO.Ports;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            foreach (string portName in SerialPort.GetPortNames())
            {
                Console.WriteLine(portName);
            }

            SerialPort comPort = OpenCOM(4);

            Console.WriteLine("Open: " + comPort.IsOpen);
            Console.WriteLine("DTR: " + comPort.DtrEnable);

            string result = "dtrOn";

            while (true)
            {
                switch (result)
                {
                    case "dtrOn":
                        comPort.DtrEnable = true;
                        break;

                    case "dtrOff":
                        comPort.DtrEnable = false;
                        break;
                }

                Console.WriteLine("DTR: " + comPort.DtrEnable);
                result = Console.ReadLine();

                if (result == "x")
                {
                    break;
                }
            }

            comPort.Close();
            Console.WriteLine("Open: " + comPort.IsOpen);
        }

        private static SerialPort OpenCOM(int portNumber)
        {
            SerialPort comPort = new SerialPort();

            comPort.PortName = $"COM{portNumber}";
            comPort.BaudRate = 9600;
            comPort.DataBits = 8;
            comPort.StopBits = StopBits.One;
            comPort.Handshake = Handshake.None;
            comPort.Parity = Parity.None;
            comPort.Open();

            return comPort;
        }
    }
}
